Overview

Task Scheduler is a tool that enables you to schedule tasks (such as Disk Defragmenter) to run regularly, when it’s most convenient for you. Task Scheduler starts each time you start Windows, and runs in the background.

When Task Scheduler is running on a computer with Windows 95 or later, this icon [image] appears next to the clock on the taskbar.

On computers running Windows 95 or later, you can double-click the Task Scheduler icon on the taskbar to open Task Scheduler. On computers running either Windows 95 or later or Windows NT, you can also open Task Scheduler by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.

Opening Task Scheduler enables you to:

  • Schedule a task to run daily, weekly, monthly, or at certain times, such as when the computer starts or is idle.
  • Change the schedule for or turn off an existing task.
  • Customize how a task will run at its scheduled time.


To schedule a new task

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. In the list of tasks, click Add Scheduled Task.
  3. Follow the instructions in the Add Scheduled Task Wizard to schedule the task.
  4. If you want to make advanced settings for the task (such as setting it to run repeatedly each time it runs), be sure to mark the Open Advanced Properties of the Task check box in the final screen of the wizard.
Tips
  • If you want to make advanced settings for the task (such as setting it to run repeatedly each time it runs, or specifying parameters for the task command), be sure to mark the Open Advanced Properties of the Task check box in the final screen of the wizard.
  • To have a new task run repeatedly each time it runs, mark the Open Advanced Properties of the Task check box in the final screen of the wizard , then click the Schedule tab and click Advanced.
  • If the task program requires parameters, mark the Open Advanced Properties of the Task check box in the final screen of the wizard, then click the Task tab and type them in the Run box, after the task path.
  • Make sure that the system date and time for your computer are accurate. Task Scheduler relies on this information to know when to run scheduled tasks. To check or change the date and time, double-click the time on the taskbar.


To modify a scheduled task

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. Right-click the task you want to modify, and then click Properties.
  3. To change the program you want to run, in the Run box, type the path for the task, or click Browse.

    To change the schedule for the task, click the Schedule tab.

    To customize the settings for the task, click the Settings tab.

Tips
  • If the task program requires parameters, type them in the Run box, after the task path.
  • If the path to the task program includes spaces, put double quotation marks (“) around the entire task path.
  • Make sure that the system date and time for your computer are accurate. Task Scheduler relies on this information to know when to run scheduled tasks. To check or change the date and time, double-click the time on the taskbar.


To remove a scheduled task

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. Right-click the task that you want to remove, and then click Delete.
Tip
  • Removing a scheduled task only removes the schedule from the list of schedules. The program file is not removed from the hard drive.
  • You can also remove the schedule for the selected task by pressing the DEL key.


To stop a scheduled task that is currently running

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. Right-click the task that you want to stop, and then click End Task.
Tips
  • If a scheduled task starts another program, this command stops only the original scheduled task, not the second task.
  • To restart a task, right-click the task, and then click Run.


To run a task immediately

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. Right-click the task you want to start, and then click Run.
Tips
  • You can end the task by clicking the File menu, and then clicking End Scheduled Task.
  • If a task should have run but did not, check the log to see why: On the Advanced menu, click View Log.


To view a log of past scheduled tasks

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. On the Advanced menu, click View Log.


To view scheduled tasks on a remote computer

  1. Double-click the Network Neighborhood icon.
  2. Double-click the computer on which you want to view scheduled tasks.
  3. Double-click the Scheduled Tasks folder.
Tips
  • You can view tasks on a remote computer running Windows NT only if you are an administrator on that remote computer.
  • You can edit tasks on a remote computer running Windows 95 or later only if that remote computer has remote registry software installed and shares the x$ share, where x is the hard drive on which the Scheduled Tasks folder resides. The computer running Windows 95 or later must also specifically list your user account as having remote registry access. You can specify which users have remote registry access to a computer running Windows by double-clicking the Passwords icon in Control Panel.


To temporarily turn off all scheduled tasks

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. On the Advanced menu, click Pause Task Scheduler.

    This is useful if you are running another program (such as a game) or installing software, and you don't want scheduled tasks to run at the same time.

Tips

When Task Scheduler is paused, the Task Scheduler icon on the taskbar looks like this: .

Tasks that would have run while Task Scheduler is paused are not run until their next scheduled time.

To resume the schedules for all tasks, on the Advanced menu, click Continue Task Scheduler.


To turn off Task Scheduler

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. On the Advanced menu, click Stop Using Task Scheduler.
Note
  • When you turn off Task Scheduler, your scheduled tasks will not run and Task Scheduler will not start automatically the next time you start Windows.


Troubleshooting Task Scheduler

If the task you schedule does not run when you expect it to, right-click it in the task list and then click Properties. On the Task tab, make sure the Enabled check box is selected. On the Schedule tab, make sure the schedule is set correctly.

If a task program does not run correctly, you may need to supply command arguments for it. To find out more about a program and its arguments, try one of the following:

  • If the program has online help, look in that help.
  • Try typing the following at a command prompt, where program is the name of the program.
    program /?


Using Task Scheduler on Windows NT

If your computer runs Windows NT, you can also use the at command to schedule tasks automatically. (The at command is not available on computers running Windows 95 or later.)

Task Scheduler is not the same as the at command, but the two work together. When you schedule a task by using the at command, it appears in the list of tasks in the Task Scheduler window.

You can use Task Scheduler to modify the properties of a task scheduled by using the at command. However, if you do, you must continue to use Task Scheduler to access the task. You will no longer be able to access it by using the at command.

To specify the user account to be used to run tasks scheduled by the at command, open the Scheduled Tasks folder in My Computerand, on the Advanced menu, click AT Service Account.


Using Task Scheduler with the Windows 95 Plus! System Agent

Windows 95 Plus! contains a task-scheduling tool named System Agent. If Plus! was installed on your computer when you installed Internet Explorer 4.0, System Agent was automatically upgraded to Task Scheduler. All tasks previously scheduled by using System Agent were converted to Task Scheduler tasks and appear on your Task Scheduler task list.

Task Scheduler works with Plus! applications in the same way that System Agent did; for example, once you upgrade or compress a drive using DriveSpace 3, Task Scheduler schedules Compression Agent to run at regular intervals, just as System Agent automatically scheduled Compression Agent in the same situation.

Help for System Agent still appears in your Windows 95 Plus! Help file. This Help is no longer valid, because it applies only to System Agent.


To set the At service account (Windows NT only)

  1. Open the Task Scheduler window by double-clicking My Computer and then double-clicking the Scheduled Tasks folder.
  2. On the Advanced menu, click AT Service Account.
  3. Click System Account, or click This Account, and then type the user account to be used to run tasks scheduled by using the at command.
  4. If you clicked This Account, type the correct password for the account in the Password and Confirm Password boxes.
Tips
  • If you click System Account, the at command tasks are run using the LocalSystem account, which has administrative privilege.
  • The account you specify must have enough privilege to run any tasks you will schedule by using the at command. For example, if you schedule programs that can be run only by administrators, the account you specify must be an administrator account.
  • For Help on an item, click [image] at the top of the dialog box, and then click the item.


Welcome to Online Help

Use the online Help system to learn more about Windows 98.

  • Find answers to your questions.
  • Browse the online version of the Getting Started book.
  • Connect to the Web to get software updates.
  • Troubleshoot your system.


To start Task Scheduler

If your computer runs Windows 95 or later, click Start, point to Programs, point to Accessories, point to System Tools, and then click Scheduled Tasks.

If your computer runs Windows NT, click Start, point to Programs, point to Administrative Tools, and then click Scheduled Tasks.


Windows® Update Technical Support

Windows Update Technical Support is an extension of Windows 98 on the Web that helps you find your Windows answers easily.

for the latest Windows 98 technical support from the Windows Update Web site.